#version 120

varying vec4 texcoord;

uniform vec3 sunPosition;
uniform vec3 moonPosition;

uniform int worldTime;
uniform float sunAngle;

varying vec3 lightVector;
varying vec3 specMultiplier;

uniform int heldItemId;
uniform int heldBlockLightValue;

varying vec3 heldLightSpecMultiplier;
varying float heldLightMagnitude;

void main() {
	gl_Position = ftransform();
	texcoord = gl_MultiTexCoord0;
	if (sunAngle <= 0.5) {	lightVector = normalize(sunPosition); } else { lightVector = normalize(moonPosition); }
}
